#!/bin/bash
# Script to check if everything is fine with systemtap installation
#

#set -x

LANG=C; export LANG

if [ -e /etc/redhat-release ]; then
	DISTRO="REDHAT"
elif [ -e /etc/SuSE-release ]; then
	DISTRO="SUSE"
else
	DISTRO="OTHER"
fi

if [[ ! -x /usr/bin/stap ]]  && [[ ! -x /usr/local/bin/stap ]] ; then
	echo "Systemtap not installed in your system."
	if [[ $DISTRO == "REDHAT" ]]; then
		echo "Try running: 'yum install systemtap'"
	elif [[ $DISTRO == "SUSE" ]]; then
		echo "Try running 'zypper install systemtap' or installing systemtap using yast"
	else
		echo "Try installing systemtap"
	fi
	exit 1
fi

MSG=`stap -e 'probe begin{ print("check stap"); exit();}' 2>&1`
if [ $? -ne 0 ]; then
	echo -e "Unabled to run SystemTap (stap) script due:\n\n $MSG"
	exit 2	
fi

exit 0
